#include "mqtt_iot02.h"
#include "ui_mqtt_iot02.h"
#include <QDebug>

Mqtt_IoT02::Mqtt_IoT02(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::Mqtt_IoT02)
{
    ui->setupUi(this);

    mqttBasic = new MqttBasic;
    indicadorLed = new IndicadorLed;
    ui->hlAmunt->addWidget(mqttBasic);
    ui->hlAvall->addWidget(indicadorLed);
    connect(mqttBasic,SIGNAL(vSignalMqttConnected()),this,SLOT(vMqttConnectat()));
    connect(mqttBasic,SIGNAL(vSignalMqttDisconnected()),this,SLOT(vMqttDesconnectat()));
    connect(indicadorLed,SIGNAL(vTrametJsonLeds(QString)),this,SLOT(vTrametJsonLeds(QString)));
}

Mqtt_IoT02::~Mqtt_IoT02()
{
    delete ui;
}

void Mqtt_IoT02::vMqttConnectat(){
    indicadorLed->vSetEnableCheckBoxes(true);
}

void Mqtt_IoT02::vMqttDesconnectat(){
    indicadorLed->vSetEnableCheckBoxes(false);
}

void Mqtt_IoT02::vTrametJsonLeds(QString qs){
    QString qsTema = "/"+mqttBasic->qsMac()+"/jsonLeds";
    qDebug() << "Tema: "<<qsTema<<" Missatge: "<<qs;
    mqttBasic->vPublish(qsTema,qs);
}
