#ifndef MQTTBASIC_H
#define MQTTBASIC_H

#include <QWidget>
#include <QMqttClient>

#define MQTT_PORT 1883

QT_BEGIN_NAMESPACE
namespace Ui { class MqttBasic; }
QT_END_NAMESPACE

class MqttBasic : public QWidget
{
    Q_OBJECT

public:
    MqttBasic(QWidget *parent = nullptr);
    ~MqttBasic();
    void vTopicSubscription(QString);
    QString qsMac();

private slots:
    void on_btConnect_clicked();
    void updateLogStateChange();
    void brokerDisconnected();

private:
    Ui::MqttBasic *ui;
    QMqttClient *m_client;

public slots:
    void vPublish(QString,QString);

signals:
    void vSignalMqttConnected();
    void vSignalMqttDisconnected();
    void vSignalMqttMsgRcv(QString,QString);
};
#endif // MQTTBASIC_H
